GetApplicationsResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetApplicationsResponsePBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetApplicationsResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetApplicationsResponsePBImpl

@Private @Unstable public class GetApplicationsResponsePBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetApplicationsResponsePBImpl()`
  `GetApplicationsResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationsResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `List<org.apache.hadoop.yarn.api.records.ApplicationReport>`
  `getApplicationList()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationsResponseProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setApplicationList(List<org.apache.hadoop.yarn.api.records.ApplicationReport> applications)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetApplicationsResponsePBImpl

    public GetApplicationsResponsePBImpl()

  - ### GetApplicationsResponsePBImpl

    public GetApplicationsResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationsResponseProto proto)

- ## Method Details

  - ### getApplicationList

    public List<org.apache.hadoop.yarn.api.records.ApplicationReport> getApplicationList()
    Specified by:
      `getApplicationList` in class `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse`

  - ### setApplicationList

    public void setApplicationList(List<org.apache.hadoop.yarn.api.records.ApplicationReport> applications)
    Specified by:
      `setApplicationList` in class `org.apache.hadoop.yarn.api.protocolrecords.GetApplicationsResponse`

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetApplicationsResponseProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`